ApiHiveReplicationArguments (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiHiveReplicationArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHiveReplicationArguments

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiHiveReplicationArguments
      extends Object

  Replication arguments for Hive services.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHiveReplicationArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHiveReplicationArguments` | `addTableFiltersItem(ApiHiveTable tableFiltersItem)`
    `ApiHiveReplicationArguments` | `dryRun(Boolean dryRun)`
    `boolean` | `equals(Object o)`
    `ApiHiveReplicationArguments` | `exportDir(String exportDir)`
    `ApiHiveReplicationArguments` | `force(Boolean force)`
    `Boolean` | `getDryRun()` Whether to perform a dry run.
    `String` | `getExportDir()` Directory, in the HDFS service where the target Hive service's data is stored, where the export file will be saved.
    `Boolean` | `getForce()` Whether to force overwriting of mismatched tables.
    `ApiHdfsReplicationArguments` | `getHdfsArguments()` Arguments for the HDFS replication job.
    `BigDecimal` | `getNumThreads()` Number of threads to use in multi-threaded export/import phase
    `Boolean` | `getReplicateData()` Whether to replicate table data stored in HDFS.
    `Boolean` | `getReplicateImpalaMetadata()` Whether to replicate the impala metadata.
    `Boolean` | `getRunInvalidateMetadata()` Whether to run invalidate metadata query or not
    `Boolean` | `getSentryMigration()`
    `Boolean` | `getSkipUrlPermissions()` Is skipUrlPermissions on.
    `ApiServiceRef` | `getSourceService()` The service to replicate from.
    `List<ApiHiveTable>` | `getTableFilters()` Filters for tables to include in the replication.
    `int` | `hashCode()`
    `ApiHiveReplicationArguments` | `hdfsArguments(ApiHdfsReplicationArguments hdfsArguments)`
    `ApiHiveReplicationArguments` | `numThreads(BigDecimal numThreads)`
    `ApiHiveReplicationArguments` | `replicateData(Boolean replicateData)`
    `ApiHiveReplicationArguments` | `replicateImpalaMetadata(Boolean replicateImpalaMetadata)`
    `ApiHiveReplicationArguments` | `runInvalidateMetadata(Boolean runInvalidateMetadata)`
    `ApiHiveReplicationArguments` | `sentryMigration(Boolean sentryMigration)`
    `void` | `setDryRun(Boolean dryRun)`
    `void` | `setExportDir(String exportDir)`
    `void` | `setForce(Boolean force)`
    `void` | `setHdfsArguments(ApiHdfsReplicationArguments hdfsArguments)`
    `void` | `setNumThreads(BigDecimal numThreads)`
    `void` | `setReplicateData(Boolean replicateData)`
    `void` | `setReplicateImpalaMetadata(Boolean replicateImpalaMetadata)`
    `void` | `setRunInvalidateMetadata(Boolean runInvalidateMetadata)`
    `void` | `setSentryMigration(Boolean sentryMigration)`
    `void` | `setSkipUrlPermissions(Boolean skipUrlPermissions)`
    `void` | `setSourceService(ApiServiceRef sourceService)`
    `void` | `setTableFilters(List<ApiHiveTable> tableFilters)`
    `ApiHiveReplicationArguments` | `skipUrlPermissions(Boolean skipUrlPermissions)`
    `ApiHiveReplicationArguments` | `sourceService(ApiServiceRef sourceService)`
    `ApiHiveReplicationArguments` | `tableFilters(List<ApiHiveTable> tableFilters)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHiveReplicationArguments

          public ApiHiveReplicationArguments()

  - ### Method Detail

    - #### sourceService

          public ApiHiveReplicationArguments sourceService(ApiServiceRef sourceService)

    - #### getSourceService

          public ApiServiceRef getSourceService()

      The service to replicate from.
      Returns:
        sourceService

    - #### setSourceService

          public void setSourceService(ApiServiceRef sourceService)

    - #### tableFilters

          public ApiHiveReplicationArguments tableFilters(List<ApiHiveTable> tableFilters)

    - #### addTableFiltersItem

          public ApiHiveReplicationArguments addTableFiltersItem(ApiHiveTable tableFiltersItem)

    - #### getTableFilters

          public List<ApiHiveTable> getTableFilters()

      Filters for tables to include in the replication. Optional. If not provided, include all tables in all databases.
      Returns:
        tableFilters

    - #### setTableFilters

          public void setTableFilters(List<ApiHiveTable> tableFilters)

    - #### exportDir

          public ApiHiveReplicationArguments exportDir(String exportDir)

    - #### getExportDir

          public String getExportDir()

      Directory, in the HDFS service where the target Hive service's data is stored, where the export file will be saved. Optional. If not provided, Cloudera Manager will pick a directory for storing the data.
      Returns:
        exportDir

    - #### setExportDir

          public void setExportDir(String exportDir)

    - #### force

          public ApiHiveReplicationArguments force(Boolean force)

    - #### getForce

          public Boolean getForce()

      Whether to force overwriting of mismatched tables. Defaults to false.
      Returns:
        force

    - #### setForce

          public void setForce(Boolean force)

    - #### replicateData

          public ApiHiveReplicationArguments replicateData(Boolean replicateData)

    - #### getReplicateData

          public Boolean getReplicateData()

      Whether to replicate table data stored in HDFS. Defaults to false. <p/> If set, the \"hdfsArguments\" property must be set to configure the HDFS replication job.
      Returns:
        replicateData

    - #### setReplicateData

          public void setReplicateData(Boolean replicateData)

    - #### hdfsArguments

          public ApiHiveReplicationArguments hdfsArguments(ApiHdfsReplicationArguments hdfsArguments)

    - #### getHdfsArguments

          public ApiHdfsReplicationArguments getHdfsArguments()

      Arguments for the HDFS replication job. <p/> This must be provided when choosing to replicate table data stored in HDFS. The \"sourceService\", \"sourcePath\" and \"dryRun\" properties of the HDFS arguments are ignored; their values are derived from the Hive replication's information. <p/> The \"destinationPath\" property is used slightly differently from the usual HDFS replication jobs. It is used to map the root path of the source service into the target service. It may be omitted, in which case the source and target paths will match. <p/> Example: if the destination path is set to \"/new_root\", a \"/foo/bar\" path in the source will be stored in \"/new_root/foo/bar\" in the target.
      Returns:
        hdfsArguments

    - #### setHdfsArguments

          public void setHdfsArguments(ApiHdfsReplicationArguments hdfsArguments)

    - #### replicateImpalaMetadata

          public ApiHiveReplicationArguments replicateImpalaMetadata(Boolean replicateImpalaMetadata)

    - #### getReplicateImpalaMetadata

          public Boolean getReplicateImpalaMetadata()

      Whether to replicate the impala metadata. (i.e. the metadata for impala UDFs and their corresponding binaries in HDFS).
      Returns:
        replicateImpalaMetadata

    - #### setReplicateImpalaMetadata

          public void setReplicateImpalaMetadata(Boolean replicateImpalaMetadata)

    - #### runInvalidateMetadata

          public ApiHiveReplicationArguments runInvalidateMetadata(Boolean runInvalidateMetadata)

    - #### getRunInvalidateMetadata

          public Boolean getRunInvalidateMetadata()

      Whether to run invalidate metadata query or not
      Returns:
        runInvalidateMetadata

    - #### setRunInvalidateMetadata

          public void setRunInvalidateMetadata(Boolean runInvalidateMetadata)

    - #### dryRun

          public ApiHiveReplicationArguments dryRun(Boolean dryRun)

    - #### getDryRun

          public Boolean getDryRun()

      Whether to perform a dry run. Defaults to false
      Returns:
        dryRun

    - #### setDryRun

          public void setDryRun(Boolean dryRun)

    - #### numThreads

          public ApiHiveReplicationArguments numThreads(BigDecimal numThreads)

    - #### getNumThreads

          public BigDecimal getNumThreads()

      Number of threads to use in multi-threaded export/import phase
      Returns:
        numThreads

    - #### setNumThreads

          public void setNumThreads(BigDecimal numThreads)

    - #### sentryMigration

          public ApiHiveReplicationArguments sentryMigration(Boolean sentryMigration)

    - #### getSentryMigration

          public Boolean getSentryMigration()

      Returns:
        sentryMigration

    - #### setSentryMigration

          public void setSentryMigration(Boolean sentryMigration)

    - #### skipUrlPermissions

          public ApiHiveReplicationArguments skipUrlPermissions(Boolean skipUrlPermissions)

    - #### getSkipUrlPermissions

          public Boolean getSkipUrlPermissions()

      Is skipUrlPermissions on.
      Returns:
        skipUrlPermissions

    - #### setSkipUrlPermissions

          public void setSkipUrlPermissions(Boolean skipUrlPermissions)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.